/*******************************************************************************
 *
 * File Name: THData.h
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN) - Fractal Based Neural Network
 * Project Version: 1b20b 12-Oct-07
 * Comments: NB CHECK THIS new requirement; each subnet must have at least 3 layers
 *
 *******************************************************************************/

#ifndef TH_DATA_HEADER
#define TH_DATA_HEADER

#define MAX_SETS_OF_DATA_TH 215
#define MAX_NUMBER_OF_INPUT_PARAMETERS_TH 5

#define MAX_INPUT_DATA_ROWS_TH 216 //MAX_SETS_OF_DATA +1
#define MAX_INPUT_DATA_COLUMNS_TH 6 //MAX_NUMBER_OF_INPUT_PARAMETERS +1
#define MAX_CHARACTERS_TH 4 //max characters of some input data. includes '\0' at end of a string

#define DATA_FILE_NAME_TH "new-thyroid.data"
#define MAX_LENGTH_OF_DATA_FILE_NAME 20

#define	NUM_OUTPUT_NEURONS_TH 3
#define	NUM_INPUT_NEURONS_TH 5

//#define MAX_INPUT_DATA_ROWS_TH 215 //MAX_SETS_OF_DATA
//#define MAX_INPUT_DATA_COLUMNS_TH 5 //MAX_NUMBER_OF_INPUT_PARAMETERS_TH
//#define MAX_CHARACTERS_TH 1000 //max characters of some input data. includes '\0' at end of a string + extra so that stack does not "get corrupted" in MS vis studio parser


//for specific Thyroid data {215lines, 6 columns - comma delimited}
extern float normalisedInputDataTemp[MAX_SETS_OF_DATA_TH][MAX_INPUT_DATA_COLUMNS_TH];
extern bool normalisedInputDataTempFilled[MAX_SETS_OF_DATA_TH];
extern float normalisedInputData[MAX_SETS_OF_DATA_TH][MAX_INPUT_DATA_COLUMNS_TH];
extern float inputData[MAX_INPUT_DATA_ROWS_TH+1][MAX_INPUT_DATA_COLUMNS_TH+1];		//max sets of rows/columns+1 so that arrays are not overruritten during parse
extern char dataFileName[MAX_LENGTH_OF_DATA_FILE_NAME];
extern int maxSetsOfData;

#endif