/*******************************************************************************
 *
 * File Name: neuralNetworkUpdateAlgorithm.h
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN) - Fractal Based Neural Network
 * Project Version: 1b20b 12-Oct-07
 * Comments: NB CHECK THIS new requirement; each subnet must have at least 3 layers
 *
 *******************************************************************************/

 //IMPORTANT CODING NOTE - on 10-dec-06/1b6b I have started to remove the neuronReference class as circular referencing does not appear to be allowed in C++
//NB when create NeuronList class change all referecnes to "...List->frontNeuronReferences.." to "...List->neuronReferences" as Neurons when declared for the purpose of creating neuron lists only have their frontNeuronReferences used

#ifndef NEURON_UPDATE_ALGORITHM_HEADER
#define NEURON_UPDATE_ALGORITHM_HEADER

#include "neuronClass.h"

double neuralNetworkBackPropogationPass(Neuron * firstInputNeuron, Neuron * firstOutputNeuron);

#ifdef ANN

//void copyNeuronReferenceArray(Neuron * neuronReferenceArrayToUpdate[], Neuron * neuronReferenceArrayToCopy[], long numberOfNeuronsInReferenceArray);
void copyNeuronListIntoNeuronReferenceArray(Neuron * neuronReferenceArrayToUpdate[], Neuron * firstNeuronInListToCopy);
void copyNeuronReferenceArrayIntoNeuronList(Neuron * firstNeuronInListToUpdate, Neuron * neuronReferenceArrayToCopy[]);

#endif

float calculateOValue(float netValue);

#endif

